Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface CatConnectionInfo

    public interface CatConnectionInfo

Interface `CatConnectionInfo` contains DB connection information, UDS, HDS of a catalog.

Field Summary
`static java.lang.String` | `HDS_CONNECTION_TYPE`
`static java.lang.String` | `JDBC_CONNECTION_TYPE`
`static java.lang.String` | `UDS_CONNECTION_TYPE`
`static java.lang.String` | `WEB_SERVICE_CONNECTION_TYPE`
`static java.lang.String` | `XML_CONNECTION_TYPE`

Method Summary
`java.lang.String` | `getClassName()` Returns the class name of the UDS.
`java.lang.String` | `getDatasourceName()` Returns the datasource name which this connection belongs to.
`java.lang.String` | `getDateFormat()` Returns the Date Format of the DB connection.
`java.lang.String` | `getDesc()` Returns the description of the DB connection (JDBC Connection, UDS, HDS).
`java.lang.String` | `getExtraCharacters()` Returns the Extra Characters of the DB connection.
`java.lang.String` | `getJdbcDriver()` Returns the jdbc driver of the DB connection.
`java.lang.String` | `getName()` Returns the name of the DB connection (JDBC Connection, UDS, HDS).
`APIEnums.ConnectionNamePattern` | `getNamePattern()` Returns the Qualified Name Pattern of the DB connection.
`java.lang.String` | `getPassword()` Returns the password of the DB connection.
`java.lang.String` | `getQuoteCharacter()` Returns the User Defined Quote Character of the DB connection.
`APIEnums.ConnectionReadOnly` | `getReadOnly()` Returns the Read Only of the DB connection.
`java.lang.String` | `getRootName()` Returns the root name of the HDS.
`java.lang.String` | `getTimeFormat()` Returns the Time Format of the DB connection.
`java.lang.String` | `getTimestampFormat()` Returns the Timestamp Format of the DB connection.
`APIEnums.ConnectionTransactionIsolation` | `getTransactionIsolation()` Returns the Transaction Isolation of the DB connection.
`java.lang.String` | `getType()` Returns the type of the DB connection (JDBC Connection, UDS, HDS).
`java.lang.String` | `getURIValue()` Returns the URI value of the HDS.
`java.lang.String` | `getURL()` Returns the URL of the DB connection.
`java.lang.String` | `getUser()` Returns the user of the DB connection.
`java.lang.String` | `getXSDValue()` Returns the XSD value of the HDS.
`boolean` | `isDefaultConnection()` indicates if the connection is default connection of the datasource.

Field Detail

### JDBC_CONNECTION_TYPE

    static final java.lang.String JDBC_CONNECTION_TYPE

See Also:
  Constant Field Values

### XML_CONNECTION_TYPE

    static final java.lang.String XML_CONNECTION_TYPE

See Also:
  Constant Field Values

### WEB_SERVICE_CONNECTION_TYPE

    static final java.lang.String WEB_SERVICE_CONNECTION_TYPE

See Also:
  Constant Field Values

### UDS_CONNECTION_TYPE

    static final java.lang.String UDS_CONNECTION_TYPE

See Also:
  Constant Field Values

### HDS_CONNECTION_TYPE

    static final java.lang.String HDS_CONNECTION_TYPE

See Also:
  Constant Field Values

Method Detail

### getDatasourceName

    java.lang.String getDatasourceName()

  Returns the datasource name which this connection belongs to.

  Returns:

### getType

    java.lang.String getType()

  Returns the type of the DB connection (JDBC Connection, UDS, HDS).

  Returns:
    type of the DB connection, possible value is one of: `JDBC_CONNECTION_TYPE`, `XML_CONNECTION_TYPE`, `WEB_SERVICE_CONNECTION_TYPE`, `UDS_CONNECTION_TYPE`, `HDS_CONNECTION_TYPE` .

### getName

    java.lang.String getName()

  Returns the name of the DB connection (JDBC Connection, UDS, HDS).

  Returns:
    name of the DB connection.

### isDefaultConnection

    boolean isDefaultConnection()

  indicates if the connection is default connection of the datasource.

  Returns:
    `true` true if it is default connection.

### getDesc

    java.lang.String getDesc()

  Returns the description of the DB connection (JDBC Connection, UDS, HDS).

  Returns:
    description of the DB connection.

### getURL

    java.lang.String getURL()

  Returns the URL of the DB connection.

  Returns:
    URL of the DB connection.

### getJdbcDriver

    java.lang.String getJdbcDriver()

  Returns the jdbc driver of the DB connection.

  Returns:
    jdbc driver of the DB connection.

### getUser

    java.lang.String getUser()

  Returns the user of the DB connection.

  Returns:
    user of the DB connection.

### getPassword

    java.lang.String getPassword()

  Returns the password of the DB connection.

### getDateFormat

    java.lang.String getDateFormat()

  Returns the Date Format of the DB connection.

### getNamePattern

    APIEnums.ConnectionNamePattern getNamePattern()

  Returns the Qualified Name Pattern of the DB connection.

### getReadOnly

    APIEnums.ConnectionReadOnly getReadOnly()

  Returns the Read Only of the DB connection.

### getTimeFormat

    java.lang.String getTimeFormat()

  Returns the Time Format of the DB connection.

### getTimestampFormat

    java.lang.String getTimestampFormat()

  Returns the Timestamp Format of the DB connection.

### getTransactionIsolation

    APIEnums.ConnectionTransactionIsolation getTransactionIsolation()

  Returns the Transaction Isolation of the DB connection.

### getExtraCharacters

    java.lang.String getExtraCharacters()

  Returns the Extra Characters of the DB connection.

### getQuoteCharacter

    java.lang.String getQuoteCharacter()

  Returns the User Defined Quote Character of the DB connection.

### getClassName

    java.lang.String getClassName()

  Returns the class name of the UDS.

  Returns:
    class name of the UDS.

### getURIValue

    java.lang.String getURIValue()

  Returns the URI value of the HDS.

  Returns:
    URI value of the HDS.

### getXSDValue

    java.lang.String getXSDValue()

  Returns the XSD value of the HDS.

  Returns:
    XSD value of the HDS.

### getRootName

    java.lang.String getRootName()

  Returns the root name of the HDS.

  Returns:
    root name of the HDS.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD